=== debian/control ===
Source: fpc
Section: devel
Priority: optional
Architecture: i386
Maintainer: Mika Fischer <mf@debian.org>
Standards-Version: 3.1.1

Package: fp-compiler
Architecture: i386
Depends: fp-units-rtl (= 0.99.15-0)
Suggests: fp-utils, fp-docs (>= 0.99.15)
Replaces: fpc
Description: Free Pascal Compiler
 The Free Pascal Compiler is a Turbo Pascal 7.0 and Delphi compatible 32bit
 Pascal Compiler. It comes with fully TP 7.0 compatible run-time library.
 Some extensions are added to the language, like function overloading. Shared
 libraries can be linked and created. Basic Delphi support is already
 implemented (classes,exceptions,ansistrings). This package contains
 the commandline compiler. You need at least the RTL package before you
 can start compiling anything.

Package: fp-utils
Architecture: i386
Recommends: fp-compiler (= 0.99.15-0)
Replaces: fpc
Description: Free Pascal Utils
 This package contains some handy utils for usage with the Free Pascal
 Compiler:
   - ppumove     Place multiple units in a shared library
   - ppufiles    Show needed files for units
   - ppudump     Dump the information stored in a .ppu (unit) file
   - fpcmake     Create Makefile from Makefile.fpc
   - h2pas       Convert .h files to pascal units
   - ppdep       Create a dependency file which can be used with Makefiles
   - ptop        Source beautifier
   - data2inc    Convert binary/text data to include files
   - plex/pyacc  Pascal Lex/Yacc implementation

Package: fp-docs
Architecture: all
Replaces: fpc
Description: Free Pascal Documentation
 Documentation for the Free Pascal Compiler. The documentation is
 only available in PDF format.

Package: fp-units-rtl
Architecture: i386
Recommends: fp-compiler (= 0.99.15-0)
Replaces: fpc, fp-rtl
Description: Free Pascal Runtime Library
 Runtime Libraries for the Free Pascal Compiler.

Package: fp-units-base
Architecture: i386
Depends: fp-units-rtl (= 0.99.15-0)
Description: Free Pascal base units
 Free Pascal units for common libraries, some of these units are also
 required by the Free Component Library :
  - X11 (Xlib, Xutil)
  - NCurses
  - ZLib

Package: fp-units-fcl
Architecture: i386
Depends: fp-units-rtl (= 0.99.15-0), fp-units-base (= 0.99.15-0)
Replaces: fp-fcl
Description: Free Pascal Free Component Library
 Free Component Library for the Free Pascal Compiler.

Package: fp-units-api
Architecture: i386
Depends: fp-units-rtl (= 0.99.15-0)
Replaces: fp-api
Description: Free Pascal API units
 Free Pascal units for console keyboard,mouse,video and file handling.

Package: fp-units-gtk
Architecture: i386
Depends: fp-units-rtl (= 0.99.15-0)
Replaces: fp-gtk
Description: Free Pascal units for GTK 1.2.x
 Free Pascal units and examples to create programs with GTK 1.2.x

Package: fp-units-db
Architecture: i386
Depends: fp-units-rtl (= 0.99.15-0)
Description: Free Pascal units for some database libraries
 Free Pascal units with bindings for:
  - Mysql
  - Interbase
  - Postgres

Package: fp-units-gfx
Architecture: i386
Depends: fp-units-rtl (= 0.99.15-0), fp-units-base (= 0.99.15-0)
Description: Free Pascal units for some graphics libraries
 Free Pascal units with bindings for:
  - Forms 0.88
  - Svgalib
  - GGI
  - OpenGL

Package: fp-units-net
Architecture: i386
Depends: fp-units-rtl (= 0.99.15-0)
Description: Free Pascal units for networking
 Free Pascal units for creating network tools:
  - Inet unit for easier tcp/ip handling
  - UnCGI unit for easy cgi handling

Package: fp-units-misc
Architecture: i386
Depends: fp-units-rtl (= 0.99.15-0)
Description: Free Pascal miscellaneous units
 Free Pascal miscellaneous units for:
  - Utmp
  - PasZLib (pascal only zlib implementation)
